The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the SSL Configuration

Prev Next

This URL gets the SSL configuration on the Sensor and is applicable for Sensors other than 9.2 NS-series.

Resource URL

GET / sensor/<sensor_id>/sslconfiguration

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

Response Parameters

Following fields are returned.

Field Name

Description

Data Type

enableSSl

Enable SSL on Sensor

Boolean

currentStatus

Current status of Sensor

String

enablePktLogging

Enable packet logging on Sensor

Boolean

sslFlows

SSL flows enabled on Sensor

String

sslCacheTimer

SSL cache timer

String

maxConcurrentTCPUDPFlows

Maximum concurrent TCP-UDP flows allowed on Sensor

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1002/sslconfiguration

Response

    {
       "enableSSl": true,
       "currentStatus": "Enabled[25000]",
       "enablePktLogging": false,
       "sslFlows": "25000",
       "sslCacheTimer": "5",
       "maxConcurrentTCPUDPFlows": null
    }

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is inactive